org.apache.felix.scrplugin.description

## Enum PropertyType

- java.lang.Object
- - java.lang.Enum<PropertyType>
  - - org.apache.felix.scrplugin.description.PropertyType

All Implemented Interfaces:
  Serializable, Comparable<PropertyType>

    public enum PropertyType
    extends Enum<PropertyType>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`Boolean`
`Byte`
`Char`
`Character`
`Double`
`Float`
`Integer`
`Long`
`Password`
`Short`
`String`

### Method Summary

All Methods Static Methods Concrete Methods
`static PropertyType` `from(Class<?> javaClass)`
`static PropertyType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static PropertyType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### String

    public static final PropertyType String

#### Long

    public static final PropertyType Long

#### Double

    public static final PropertyType Double

#### Float

    public static final PropertyType Float

#### Integer

    public static final PropertyType Integer

#### Byte

    public static final PropertyType Byte

#### Char

    public static final PropertyType Char

#### Character

    public static final PropertyType Character

#### Boolean

    public static final PropertyType Boolean

#### Short

    public static final PropertyType Short

#### Password

    public static final PropertyType Password

### Method Detail

#### values

    public static PropertyType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (PropertyType c : PropertyType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static PropertyType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### from

    public static PropertyType from(Class<?> javaClass)